%define name printtool
%define version 3.44
%define release 3mdk

%define prefix {_prefix}

Summary: A printer configuration tool with a graphical user interface.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Configuration/Printing
#Icon: printtool-logo.xpm
Prefix: /usr
Source: printtool-%{PACKAGE_VERSION}.tar.bz2
Source1: %{name}.xpm.bz2
Source2: %{name}32.xpm.bz2
Patch: %{name}-%{PACKAGE_VERSION}-perms.patch.bz2
Requires: tcl tk control-panel rhs-printfilters >= 1.50 lpr >= 0.16
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix:	  %{prefix}

%description
The printtool is a printer configuration tool with a graphical user
interface.  Printtool can manage both local and remote printers,
including Windows (SMB) and NetWare (NCP) printers.

Printtool should be installed so that you can manage local and remote
printers.

%prep
%setup -q -n printtool
%patch0 -p1

%build
uname -a|grep SMP && make -j 2 || make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,lib/rhs/control-panel}

make	PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLBIN="install -m0755" INSTALLDATA="install -m0644" \
	install

install printtool.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/printtool

#(deush) menu icons 
install -d $RPM_BUILD_ROOT%{prefix}/share/icons/mini
bzcat %{SOURCE1} >$RPM_BUILD_ROOT%{prefix}/share/icons/mini/printtool.xpm
bzcat %{SOURCE2} >$RPM_BUILD_ROOT%{prefix}/share/icons/printtool.xpm

mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/menu
cat <<EOF >$RPM_BUILD_ROOT%{prefix}/lib/menu/printtool
?package(printtool):command="/usr/bin/kdesu -c /usr/bin/printtool" icon="printtool.xpm" needs="x11" section="Configuration/Printing" title="printtool"
EOF

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		/usr/bin/update-menus
	fi
fi

%files
%defattr(-,root,root,0755)
%doc README CHANGES
%{prefix}/bin/printtool
%{prefix}/lib/rhs/control-panel/printtool.init
%{prefix}/lib/rhs/control-panel/printtool.xpm
%{prefix}/lib/menu/printtool
%{prefix}/share/icons

%attr(0600,root,root)	%config(missingok) /etc/X11/wmconfig/printtool

%changelog
* Sat Apr 29 2000 Daouda Lo <daouda@mandrakesoft.com> 3.44-3mdk
- add menu icons (32 & 16)
- SMP build/check

* Mon Mar 20 2000 Franois PONS <fpons@mandrakesoft.com> 3.44-2mdk
- removed obseleted with-ppa requires and provides style.
- fixed changelog version-release.
- fixed wrong group.
- added menu entry.

* Mon Mar 20 2000 Franois PONS <fpons@mandrakesoft.com> 3.44-1mdk
- 3.44.

* Mon Nov 15 1999 Camille Begnis <camille@mandrakesoft.com>
- added compilation for SMP architectures
- added patch to fix .config file attributes for smb printers
    (bug #44 printtool)

* Fri Nov 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.43.

* Mon Oct 25 1999 Camille Begnis <camille@mandrakesoft.com>
- Upgraded to 3.41
- Removed some patches

* Thu Sep 02 1999 Pablo Saratxaga <pablo@mandrakesift.com>
- support for color PPA printers too

* Tue Aug 31 1999 Pablo Saratxaga <pablo@mandrakesift.com>
- added support for PPA printers

* Mon Jul 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environement.

* Sat Jun 19 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- fix a REALLY stupid bug... looks like we're not the only ones working 24
  hours a day after all. ;)

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- text changes

* Mon Feb  9 1999 Bill Nottingham <notting@redhat.com>
- uniprint support, courtesy Osamu Aoki

* Mon Dec 28 1998 Bill Nottingham <notting@redhat.com>
- ditto

* Tue Dec  8 1998 Bill Nottingham <notting@redhat.com>
- oops. fix SMB printers, again

* Wed Nov 18 1998 Bill Nottingham <notting@redhat.com>
- add workgroup field for SMB printers

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- fix typo

* Thu Sep  9 1998 Bill Nottingham <notting@redhat.com>
- fix description

* Thu Sep  2 1998 Bill Nottingham <notting@redhat.com>
- added NCP support

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- /etc/rc.d/init.d/lpd.init is now just lpd. (problem #768)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Nov 26 1997 Michael Fulbright <msf@redhat.com>
- fixed to print warning if smbclient not installed

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>
- added wmconfig

* Wed Nov  5 1997 Michael Fulbright <msf@redhat.com>
- fixed add/edit printer boxes with new packing cause old one broke bad

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- put nice new xpm icon in place
- fixed up help titles
- corrected lots of misspellings

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Tue Apr 22 1997 Michael Fulbright <msf@redhat.com>
- Moved to version 3.2.
- Fixed problem with EXTRA_GS_OPIONS

* Fri Mar 12 1997 Michael Fulbright <msf@redhat.com>
- Moved up to version 3.1.
- Added support for mpage - allows nup printing and adjustable margins.
- Simplified configuraion for stair-stepped text and sending EOF.
- Fixed PS filter to send a '\004' instead of a '\014' as EOF character.

* Wed Mar 12 1997 Michael Fulbright <msf@redhat.com>
- Added A4 paper test page support. 

* Fri Mar  7 1997 Michael Fulbright <msf@redhat.com>
- Split print filters off into rh-printfilters package.
- Removed some undesirable debug messages.

* Fri Feb 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed a 'sh -x' left in head of smbprint script
